package org.processmining.featuremerge.dialogs;

import java.awt.Dimension;

import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.featuremerge.confs.Configuration;
import org.processmining.framework.util.ui.widgets.ProMPropertiesExpertModePanel;
import org.processmining.framework.util.ui.widgets.WidgetColors;

import com.fluxicon.slickerbox.factory.SlickerFactory;


public class LiteralSelectorDialog extends JPanel{

	private ProMPropertiesExpertModePanel panel;
	private JLabel coveringLabel2;
	private Configuration conf;
	//private ArrayList<JListValue> jListArray;
	
	
	public LiteralSelectorDialog(UIPluginContext context,Configuration configuration) {
		this.conf=configuration;
		
		//ArrayList<Threshold> thresholds=new ArrayList<Threshold>();
		//jListArray=new ArrayList<JListValue>();

		setBackground(WidgetColors.PROPERTIES_BACKGROUND);
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		
		JLabel introduction = new JLabel("<html>"
				+ "For each attribute, select a list of values.<br/>All traces including the selected values will have the new attribute set to 1."
				+ "</html>");
		add(introduction);
		
		SlickerFactory sl=SlickerFactory.instance();
		
		JPanel bigPanel=sl.createRoundedPanel();
		bigPanel.setPreferredSize(new Dimension(600, 400));
		bigPanel.setBackground(WidgetColors.PROPERTIES_BACKGROUND);
		bigPanel.setLayout(new BoxLayout(bigPanel, BoxLayout.Y_AXIS));
			
}
}