package org.processmining.kpiprocessenhancementworkflow.dialogs;

import java.awt.Dimension;

import javax.swing.JToggleButton;

import org.processmining.framework.util.Pair;

class PairButton extends JToggleButton
{
	public static final Dimension buttonPreferredSize=new Dimension(65,30);

	private Pair<String, String> pair;
	private boolean isGeneric;

	public PairButton(String activityName,String stepType, int number, boolean enabled)
	{
		super(number+"");
		pair=new Pair<String, String>(activityName, stepType);
		this.setPreferredSize(buttonPreferredSize);
		this.setEnabled(enabled);

	}
	
	public Pair<String,String> getPair()
	{
		return pair;
	}
	
}
