package org.processmining.kpiprocessenhancementworkflow.models;

import java.util.ArrayList;

public class RuleSet {

	private ArrayList<Rule> list;
	private int classValue;

	public RuleSet(ArrayList<Rule> list, int classValue) {
		this.list=list;
		this.classValue=classValue;
	}
	
	public RuleSet() {
		list=new ArrayList<Rule>();
	}

	public ArrayList<Rule> getList() {
		return list;
	}

	public void setList(ArrayList<Rule> list) {
		this.list = list;
	}

	public int getClassValue() {
		return classValue;
	}

	public void setClassValue(int classValue) {
		this.classValue = classValue;
	}
	
	public void addRule(Rule rule) {
		list.add(rule);
	}
		
	public int size() {
		return list.size();
	}
	
	public Rule get(int i) {
		return list.get(i);
		
	}
}
