package org.processmining.featuremerge.confs;

import java.util.HashMap;

import org.processmining.featuremerge.models.IndicatorValuesMatrix;
import org.processmining.featuremerge.models.Threshold;
import org.processmining.kpiprocessenhancementworkflow.models.LiteralIndicatorValuesArray;

public class Configuration {

	private IndicatorValuesMatrix KPIs;
	private LiteralIndicatorValuesArray literalKPIs;
	
	
	private String[] selected;
	private HashMap<String,Threshold> thresholds;
	
	public Configuration() {
	}
	
	public Configuration(IndicatorValuesMatrix matrix, String[] selected, HashMap<String,Threshold> thresholds) {
		this.KPIs=KPIs;
		this.selected=selected;
		this.thresholds=thresholds;
	}
		public void setMatrix(IndicatorValuesMatrix KPIs) {
			this.KPIs=KPIs;
		}
		
		public void setSelected(String[] selected){
			this.selected=selected;
		}
		
		public void setThreshods(HashMap<String,Threshold> thresholds) {
			this.thresholds=thresholds;
		}
		
		public IndicatorValuesMatrix getKPIs() {
			return KPIs;
		}
		public String[] getSelected() {
			return selected;
		}
	
		public HashMap<String,Threshold> getThresholds(){
			return thresholds;
		}
		
		public LiteralIndicatorValuesArray getLiteralKPIs() {
			return literalKPIs;
		}

		public void setLiteralKPIs(LiteralIndicatorValuesArray literalKPIs) {
			this.literalKPIs = literalKPIs;
		}

}
