package org.processmining.featuremerge.dialogs;

import java.awt.Dimension;

import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.featuremerge.confs.Configuration;
import org.processmining.framework.util.ui.widgets.WidgetColors;

import com.fluxicon.slickerbox.factory.SlickerFactory;

public class NewAttributeDefinition extends JPanel {
	private JTextField textField;
	
	public NewAttributeDefinition(UIPluginContext context, Configuration conf) {
		Configuration configuration=conf;
		
		setBackground(WidgetColors.PROPERTIES_BACKGROUND);
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		
		JLabel introduction = new JLabel("Choose a name for the new attribute.");
		introduction.setAlignmentX(CENTER_ALIGNMENT);
		add(introduction);
	
		SlickerFactory sl=SlickerFactory.instance();

		JPanel p=sl.createGradientPanel();
		p.setMaximumSize(new Dimension(400,30));
		p.setLayout(new BoxLayout(p, BoxLayout.X_AXIS));
		JLabel label=sl.createLabel("New attribute name:");
		textField=new JTextField();
		textField.setColumns(30); //get some space
		p.add(label);
		p.add(textField);
		add(p);
	}
	
	public String getNewAttribute() {
		return textField.getText();
	}
		
}
