package org.processmining.kpiprocessenhancementworkflow.models;

public abstract class DatasetColumn {

	private String activity;
	private int variant;
	
	public DatasetColumn(String activity,int variant) {
		this.activity=activity;
		this.variant=variant;
		
	}

	public String getFullName() {
		return activity+"("+variant+")";
	}
	
	public String getActivity() {
		return activity;
	}

	public void setActivity(String activity) {
		this.activity = activity;
	}

	public int getVariant() {
		return variant;
	}

	public void setVariant(int variant) {
		this.variant = variant;
	}
	public boolean equals(DatasetColumn column) {
		if(column.getActivity().equals(activity) && column.getVariant()==variant)
			return true;
		else return false;
	}

	public String getFullNameWithoutVariantNumber() {
		return activity;
	}
	
}
